#!/bin/bash

if lsusb -d 14e1:3500 | grep -c Dialogue > /dev/null 2>&1; then
	if [ ! -f /usr/local/bin/pmtouch-firmware/`sudo cat /sys/devices/virtual/dmi/id/product_serial` ]
	then
		fwver=$(sudo /usr/local/bin/pmtouch-firmware/./pcimset -fwver)
		if [ $fwver = 1.7 ]; then
			echo "Firmware configuration matches!"
			if [ ! -f /usr/local/bin/pmtouch-firmware/`sudo cat /sys/devices/virtual/dmi/id/product_serial` ]
			then		
				sudo touch /usr/local/bin/pmtouch-firmware/`sudo cat /sys/devices/virtual/dmi/id/product_serial`
			fi
		else
			echo "Loading new touch firmware configuration..."
			exec sudo /sbin/getty --autologin root --noclear tty9 -n -l /usr/local/bin/pmtouch-firmware/update.sh 
		fi
	else
		echo "Configuration file already loaded on this unit..."
	fi
else
  echo "This does not contain a Penmount touch controller"
fi

